%define         Werror_cflags   %nil

%define         oname           wxSVG

%define         major           3
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d

Name:           wxsvg
Summary:        A library to create, manipulate and render SVG files
Version:        1.5.11
Release:        %mkrel 3
License:        GPLv2
Group:          System/Libraries

URL:            http://wxsvg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  wxgtku3.0-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libexif-devel

%description
wxSVG is a C++ library to create, manipulate and render SVG files.

%package -n     %{libname}
Summary:        Shared libraries for %{oname}
Group:          System/Libraries


%description -n %{libname}
wxSVG is a C++ library to create, manipulate and render SVG
files. This package contains the shared libraries.


%package -n     %{develname}
Summary:        Development files and headers for %{oname}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{oname}.

%prep
%setup -q

#move files to a better place
%__mv *.m4 m4/


%build
autoreconf -vfi
%configure2_5x \
                --disable-static \
                --enable-libav
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

#unpackaged file
rm -rf %{buildroot}%{_bindir}/svgview

%files -n %{libname}
%doc AUTHORS ChangeLog TODO
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{oname}*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Tue May 02 2017 akien <akien> 1.5.11-3.mga6
+ Revision: 1098329
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.5.11-2.mga6
+ Revision: 1090264
- Rebuild for ffmpeg 3.2.4

* Tue Feb 14 2017 eatdirt <eatdirt> 1.5.11-1.mga6
+ Revision: 1086138
- Upgrade to version 1.5.11

* Fri Dec 02 2016 eatdirt <eatdirt> 1.5.10-1.mga6
+ Revision: 1071702
- Upgrade to version 1.5.10

* Tue Mar 15 2016 eatdirt <eatdirt> 1.5.6-1.mga6
+ Revision: 990771
- Upgrade to version 1.5.6

* Wed Feb 17 2016 umeabot <umeabot> 1.5.5-2.mga6
+ Revision: 963303
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 eatdirt <eatdirt> 1.5.5-1.mga6
+ Revision: 888503
- Upgrade to version 1.5.5

* Tue Sep 29 2015 eatdirt <eatdirt> 1.5.4-1.mga6
+ Revision: 885135
- Upgrade to version 1.5.4

* Fri Nov 14 2014 akien <akien> 1.4.2-5.mga5
+ Revision: 797159
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 745236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-3.mga5
+ Revision: 690389
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 1.4.2-2.mga5
+ Revision: 660987
- drop unneeded obsoletes and conflicts

* Thu Aug 07 2014 eatdirt <eatdirt> 1.4.2-1.mga5
+ Revision: 660903
- Upgrade to version 1.4.2

* Thu Feb 27 2014 eatdirt <eatdirt> 1.2.1-1.mga5
+ Revision: 597520
- Upgrade to 1.2.1

* Sat Oct 19 2013 umeabot <umeabot> 1.1.15-3.mga4
+ Revision: 529655
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 1.1.15-2.mga4
+ Revision: 452789
- rebuild for new ffmpeg

* Thu May 23 2013 eatdirt <eatdirt> 1.1.15-1.mga4
+ Revision: 425644
- Upgrade to version 1.1.15

* Sat Jan 19 2013 eatdirt <eatdirt> 1.1.11-1.mga3
+ Revision: 389841
- Upgrade to 1.1.11 which fixes bug #8727

* Mon Jan 14 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 385903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1.9-2.mga3
+ Revision: 341752
- rebuild for new ffmpeg

* Thu Aug 23 2012 eatdirt <eatdirt> 1.1.9-1.mga3
+ Revision: 283242
- Upgrade to version 1.1.9

* Tue May 29 2012 fwang <fwang> 1.1.8-1.mga3
+ Revision: 249096
- new version 1.1.8

* Tue May 29 2012 fwang <fwang> 1.1.6-2.mga3
+ Revision: 249086
- rebuild for new ffmpeg

* Mon Feb 20 2012 wally <wally> 1.1.6-1.mga2
+ Revision: 211218
- new version 1.1.6

* Tue Dec 13 2011 wally <wally> 1.1.5-1.mga2
+ Revision: 181410
- new version 1.1.5
- rewrote .spec

  + matteo <matteo>
    - fixed group and license
    - add comment about configure arguments
    - upgraded sources to version 1.1.2
    - imported package wxsvg

